
## Install

```
$ npm install -g generator-efigence
```

// if you don't have: 

```
$ npm install -g yo
$ npm install -g gulp
```


## Run

```
$ yo --help // list of all generators
$ yo efigence
$ cd project_name
$ gulp
```

## General description

```
Please keep in mind that this is still WiP.
```

TL;DR : Efigence.com project generator.

TL;R : Efigence.com project generator, that generates full development environment, with all internal good practicies included. Currently supports : 

- gulp
- foundation
- jasmine
- babel
- sass
- connect 
- yuidoc 
- csscomb 
- jslint 
- kss


## Gulp tasks

```
$ gulp yuidoc
$ gulp jasmine
$ gulp vendors
$ gulp html
$ gulp img
$ gulp fonts
$ gulp kss
$ gulp scripts
$ gulp styles
$ gulp zip 
```

## Current todo list

- Foundation add posibility to chose 5 vs 6
- [DONE] babel + babel-preset-es2015
- [in progress] KSS example
- [DONE] jsDoc add + [TODO] example
- [in progress] More comments/ explanations + help 
- GULP :
-- [DONE] jslint
-- [DONE] css packages cleanup
-- [DONE] ZIP ?
-- [DONE] csscomb

## Future plans

- More tests examples
- Google Materials
- Support for angular 1.* / 2.*
- Support for react
- GULP :
-- connect alternative - BrowserSync ? 
-- PROD/ DEV option
- Global dependcies ? ( requireg ? global-npm? )
